org.apache.calcite.avatica.remote

## Class Service.ExecuteRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.ExecuteRequest

Enclosing interface:
  Service

    public static class Service.ExecuteRequest
    extends Service.Request

Request for `Meta.execute(org.apache.calcite.avatica.Meta.StatementHandle, java.util.List<org.apache.calcite.avatica.remote.TypedValue>, long)`.

### Field Summary

Fields
`long` `maxRowCount`
`List<TypedValue>` `parameterValues`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `STATEMENT_HANDLE_DESCRIPTOR`
`Meta.StatementHandle` `statementHandle`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
Constructor and Description
`Service.ExecuteRequest()`
`Service.ExecuteRequest(Meta.StatementHandle statementHandle, List<TypedValue> parameterValues, long maxRowCount)`

### Method Summary

Methods
`(package private) Service.ExecuteResponse` `accept(Service service)`
`(package private) Service.ExecuteRequest` `deserialize(com.google.protobuf.Message genericMsg)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`(package private) Requests.ExecuteRequest` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATEMENT_HANDLE_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor STATEMENT_HANDLE_DESCRIPTOR

#### statementHandle

    public final Meta.StatementHandle statementHandle

#### parameterValues

    public final List<TypedValue> parameterValues

#### maxRowCount

    public final long maxRowCount

### Constructor Detail

#### Service.ExecuteRequest

    Service.ExecuteRequest()

#### Service.ExecuteRequest

    public Service.ExecuteRequest(Meta.StatementHandle statementHandle,
                          List<TypedValue> parameterValues,
                          long maxRowCount)

### Method Detail

#### accept

    Service.ExecuteResponse accept(Service service)

Specified by:
  `accept` in class `Service.Request`

#### deserialize

    Service.ExecuteRequest deserialize(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Request`

#### serialize

    Requests.ExecuteRequest serialize()

Specified by:
  `serialize` in class `Service.Request`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`